Bug 116421 - x11/xdm config file path incorrect (xorg 7.3)
Summary: x11/xdm config file path incorrect (xorg 7.3)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-17 20:00 UTC by Warren Block
Modified: 2007-10-29 15:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Warren Block 2007-09-17 20:00:02 UTC
/usr/ports/x11/xdm Makefile (rev 1.4) uses EXAMPLESDIR as the xdm config file directory, preventing xdm from reading real config files:

CONFIGURE_ARGS+=        --with-xdmconfigdir=${EXAMPLESDIR} \
                        --with-xdmscriptdir=${EXAMPLESDIR}

should be

CONFIGURE_ARGS+=        --with-xdmconfigdir=${PREFIX}/lib/X11/xdm \
                        --with-xdmscriptdir=${EXAMPLESDIR}

but there are changes needed to pkg-plist and probably other files.

How-To-Repeat: Change an xdm config file in /usr/local/lib/X11/xdm.  Run xdm.  Notice how changes are ignored.  Changes to example xdm files (/usr/local/share/examples/xdm) will be read.
Comment 1 Edwin Groothuis freebsd_committer 2007-09-17 21:32:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainer
Comment 2 Warren Block 2007-10-16 17:14:38 UTC
The latest port of xdm (1.1.6_1) fixes the main problem by changing 
xdm-config to point the ${PREFIX}/lib/xdm/ as the config and script 
directories.

The Makefile still has

CONFIGURE_ARGS+=        --with-xdmconfigdir=${EXAMPLESDIR} \
                         --with-xdmscriptdir=${EXAMPLESDIR}

so the xdm binary defaults to using the examples dir.  On FreeBSD, POLA 
suggests that should also be ${PREFIX}/lib/xdm/ unless there's some 
reason otherwise.

-Warren Block * Rapid City, South Dakota USA
Comment 3 Florent Thoumie freebsd_committer 2007-10-29 15:05:03 UTC
State Changed
From-To: open->closed

Fixed, thanks for the report!
Comment 4 dfilter service freebsd_committer 2007-10-29 15:07:21 UTC
flz         2007-10-29 15:04:44 UTC

  FreeBSD ports repository

  Modified files:
    x11/xdm              Makefile 
  Log:
  Fix path. Xdm should look in lib/X11/xdm not share/examples/xdm.
  
  PR:             ports/116421
  Submitted by:   Warren Block <wblcok@wonkity.com>
  
  Revision  Changes    Path
  1.6       +5 -1      ports/x11/xdm/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"